<?php
/**
 * @name			JoomShopping - If not available, hide price 1.1
 * @package			Joomla
 * @subpackage		JoomShopping
 * @creationDate	02.05.2017
 *
 * @author			Dmitry Kairlinov (StudioDK-WEB, kit2m2)
 * @website			http://dk-web.ru/
 * @email			kit2m@mail.ru
 * @copyright		Copyright © 2008 - 2017 StudioDK-WEB. All rights reserved.
 * @license			GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.controller');

class plgJshoppingProductsNotAvailable_HidePrice extends JPlugin {
 
	function __construct(& $subject, $config) {
	parent::__construct($subject, $config);

	$this->loadLanguage();

	$document = JFactory::getDocument();

	}
	public function onBeforeDisplayProductList(&$rows){
	// Params settings
	$hide_block_price_list = $this->params->get('hide_block_price_list', 0);
	$hide_old_price_list = $this->params->get('hide_old_price_list', 0);
	$hide_default_price_list = $this->params->get('hide_default_price_list', 0);
	
	foreach ($rows as $k => $row){
		if ($row->product_quantity == 0){
			if ($hide_block_price_list == 1){
				$row->_display_price = 0;
			}
			if ($hide_old_price_list == 1){
				$row->product_old_price = 0;
			}
			if ($hide_default_price_list == 1){
				$row->product_price_default = 0;
			}
		}
	}

	}
	public function onBeforeDisplayProductView(&$view){
	// Params settings
	$hide_block_price = $this->params->get('hide_block_price', 0);
	$hide_old_price = $this->params->get('hide_old_price', 0);
	$hide_default_price = $this->params->get('hide_default_price', 0);
	$hide_price_list = $this->params->get('hide_price_list', 0);
	
	$document = JFactory::getDocument();
	$document->addCustomTag("<script type=\"text/javascript\">
			reloadAttribEvents[reloadAttribEvents.length] = function(json){
				if (json.available=='0'){
					if ($hide_block_price == 1){
						jQuery('.prod_price').hide();
					} else {
						jQuery('.prod_price').show();
					}
					
					if ($hide_old_price == 1){
						jQuery('.old_price').hide();
					} else {
						jQuery('.old_price').show();
					}
					
					if ($hide_default_price == 1){
						jQuery('.default_price').hide();
					} else {
						jQuery('.default_price').show();
					}
					
					if ($hide_price_list == 1){
						jQuery('.price_prod_qty_list_head', '.price_prod_qty_list').hide();
					} else {
						jQuery('.price_prod_qty_list_head', '.price_prod_qty_list').show();
					}
				} else {
					if ($hide_block_price >= 0){
						jQuery('.prod_price').show();
					}
					if ($hide_old_price >= 0){
						jQuery('.old_price').show();
					}
					if ($hide_default_price >= 0){
						jQuery('.default_price').show();
					}
					if ($hide_price_list >= 0){
						jQuery('.price_prod_qty_list_head', '.price_prod_qty_list').show();
					}
				}
			}
		</script>");

		$block_price = "";
		$block_old_price = "";
		$block_default_price = "";
		$block_price_list = "";
		
		if ( $hide_block_price == 1 ){
			$block_price = "$('.prod_price').hide();";
		}else{
			$block_price = "$('.prod_price').show();";
		}
		
		if ( $hide_old_price == 1 ){
			$block_old_price = "$('.old_price').hide();";
		}else{
			$block_old_price = "$('.old_price').show();";
		}
		
		if ( $hide_default_price == 1 ){
			$block_default_price = "$('.default_price').hide();";
		}else{
			$block_default_price = "$('.default_price').show();";
		}
		
		if ( $hide_price_list == 1 ){
			$block_price_list = "$('.price_prod_qty_list_head', '.price_prod_qty_list').hide();";
		}else{
			$block_price_list = "$('.price_prod_qty_list_head', '.price_prod_qty_list').show();";
		}
		if ( ($view->product->getQty() == 0) && $view->product->product_quantity == 0 ){
			$document = JFactory::getDocument();
			$document->addCustomTag(
				"<script type=\"text/javascript\">
					jQuery(document).ready(function($){
						".$block_price
						.$block_old_price
						.$block_default_price
						.$block_price_list."
					})
				</script>");
		}

	}
}